package com.yijia.station.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 station_classes_summary
 * 
 * @author yijia
 * @date 2020-12-28
 */
public class StationClassesSummary extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 班结主键id */
    private Long id;

    /** 班次号 */
    @Excel(name = "班次号")
    private String classesNo;
    /** 班次号 */
    @Excel(name = "模糊查询班次号")
    private String likeClassesNo;

    /** 班次开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "班次开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startDate;

    /** 班次结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "班次结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endDate;

    /** 油站id */
    @Excel(name = "油站id")
    private Long stationId;

    /** 油站名称 */
    @Excel(name = "油站名称")
    private String stationName;

    /** 订单数 */
    @Excel(name = "订单数")
    private Long orderNum;

    /** 小票数量 */
    @Excel(name = "小票数量")
    private Long printNum;

    /** 销量L */
    @Excel(name = "销量L")
    private String saleLiters;

    /** 销售额元 */
    @Excel(name = "销售额元")
    private Double saleAmt;

    /** 微信销售金额 */
    @Excel(name = "微信销售金额")
    private Double wxAmt;

    /** 支付宝销售金额 */
    @Excel(name = "支付宝销售金额")
    private Double zfbAmt;

    /** 电子卡销售金额 */
    @Excel(name = "电子卡销售金额")
    private Double dzkAmt;

    /** 班结人 */
    @Excel(name = "班结人")
    private String classesMan;

    public Double getSaleAmt() {
        return saleAmt;
    }

    public void setSaleAmt(Double saleAmt) {
        this.saleAmt = saleAmt;
    }

    public Double getWxAmt() {
        return wxAmt;
    }

    public void setWxAmt(Double wxAmt) {
        this.wxAmt = wxAmt;
    }

    public Double getZfbAmt() {
        return zfbAmt;
    }

    public void setZfbAmt(Double zfbAmt) {
        this.zfbAmt = zfbAmt;
    }

    public Double getDzkAmt() {
        return dzkAmt;
    }

    public void setDzkAmt(Double dzkAmt) {
        this.dzkAmt = dzkAmt;
    }

    public String getLikeClassesNo() {
        return likeClassesNo;
    }

    public void setLikeClassesNo(String likeClassesNo) {
        this.likeClassesNo = likeClassesNo;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setClassesNo(String classesNo) 
    {
        this.classesNo = classesNo;
    }

    public String getClassesNo() 
    {
        return classesNo;
    }
    public void setStartDate(Date startDate) 
    {
        this.startDate = startDate;
    }

    public Date getStartDate() 
    {
        return startDate;
    }
    public void setEndDate(Date endDate) 
    {
        this.endDate = endDate;
    }

    public Date getEndDate() 
    {
        return endDate;
    }
    public void setStationId(Long stationId) 
    {
        this.stationId = stationId;
    }

    public Long getStationId() 
    {
        return stationId;
    }
    public void setStationName(String stationName) 
    {
        this.stationName = stationName;
    }

    public String getStationName() 
    {
        return stationName;
    }
    public void setOrderNum(Long orderNum) 
    {
        this.orderNum = orderNum;
    }

    public Long getOrderNum() 
    {
        return orderNum;
    }
    public void setPrintNum(Long printNum) 
    {
        this.printNum = printNum;
    }

    public Long getPrintNum() 
    {
        return printNum;
    }
    public void setSaleLiters(String saleLiters) 
    {
        this.saleLiters = saleLiters;
    }

    public String getSaleLiters() 
    {
        return saleLiters;
    }

    public void setClassesMan(String classesMan) 
    {
        this.classesMan = classesMan;
    }

    public String getClassesMan() 
    {
        return classesMan;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("classesNo", getClassesNo())
            .append("startDate", getStartDate())
            .append("endDate", getEndDate())
            .append("stationId", getStationId())
            .append("stationName", getStationName())
            .append("orderNum", getOrderNum())
            .append("printNum", getPrintNum())
            .append("saleLiters", getSaleLiters())
            .append("saleAmt", getSaleAmt())
            .append("wxAmt", getWxAmt())
            .append("zfbAmt", getZfbAmt())
            .append("dzkAmt", getDzkAmt())
            .append("classesMan", getClassesMan())
            .toString();
    }
}
